LFR-FSW - Bug #871

Erreur dans fonction floatToChar
30/12/2016 02:46 PM - Veronique bouzid

Status: Closed Start date: 30/12/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

hello

void floatToChar( float value, unsigned char* ptr) {
unsigned char* valuePtr;

valuePtr = (unsigned char*) &value;
ptr[0] = valuePtr[0];
ptr[l] = valuePtr[0];
ptr[2] = valuePtr[0];
ptr[3] = valuePtr[0];

}

---> il y a une erreur dans cette fonction, tu recopies la meme valeur valuePtr® dans les 4 octets destintataires.

Il faut mettre

ptr! = valuePtr';
ptr? = valuePtr?;
ptr® = valuePtr?;

History

#1 - 03/01/2017 02:45 PM - paul leroy

- Status changed from New to Resolved

bien vu, corrigé pour fsw >= 3.1.0.5

#2 - 03/01/2017 02:45 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#3 - 18/01/2017 12:17 PM - Veronique bouzid

- Status changed from Resolved to Closed

Bug corrigé en 3.1.0.6.
Voir point redmine #707.

Le script utilisé pour validé est /home/validation/SCRIPT/R3+/set_load_filter_par.py.
